/*******************************************************************************
* Copyright(c) 2022 dongke All rights reserved. / Confidential
* 类的信息：
*		1.程序名称：
*		2.功能描述：商户设置画面
* 编辑履历：
*		作者				日期					版本				修改内容
*		姜永辉		  	2022-11-22			1.00		   	新建
*******************************************************************************/
const mixins = require('@/mixins/index.js')
const Constants = require('@/utils/Constants.js'); 

const app = getApp()
Page({
    mixins: [mixins],
    /**
     * 页面的初始数据
     */
    data: {
        // 路由
        routeObjName: 'company',
        cardList: ['main'],
        contentObj: {
            main: [
                { code: 'cpName', type: 'str', readonly: 'true', required: 'true', title: mixins.$t('cpName') },
                { code: 'cpManager', type: 'str', readonly: 'true', required: 'true', title: mixins.$t('cpManager') },
                { code: 'cpPhone', type: 'phone', readonly: 'true', required: 'true', title: mixins.$t('cpPhone') },
                { code: 'cpSize', type: 'str', readonly: 'true', title: mixins.$t('cpSize') },
                { code: 'shopSize', type: 'str', readonly: 'true', title: mixins.$t('shopSize') },
                { code: 'feedback', type: 'textarea', readonly: 'true', title: mixins.$t('feedback') },
            ],
        }, 
    },

    /**
    * @desc : 参数设置
    * @date : 2024/2/1 15:49
    * @author : 姜永辉
    */
    paramSetting(e) {
        let _this = this
        wx.navigateTo({
            url: this.data.route.companyParamSetting.url,
            events: {
                // 回调后，在这里给页面赋值
                bandData: function (e) {
                }
            },
            success: function (res) {
                // 通过eventChannel向被打开页面传送数据 TODO 测试例子url是写死的，实际中，需要从route中读取
                res.eventChannel.emit('params', {   })
            }
        })
    },

    /**
    * @desc : 加载数据
    * @date : 2024/2/1 15:49
    * @author : 姜永辉
    */
    close(e) {
        wx.navigateBack({
            data: 1
        })
    },

    /**
 * @desc : 给表单赋值
 * @date : 2024/2/1 15:49
 * @author : 姜永辉
 */
    setValuesByEdit(data) {
        let contentObj = this.data.contentObj
        console.log(contentObj);
        this.setData({
            formData: JSON.stringify(data)
        })

        if (data.gradeCode == Constants.gradeCode.PRO) {
            contentObj.main.unshift({ code: 'gradeName', type: 'str', readonly: 'true', title: mixins.$t('professionalVersion') })
        } else {
            contentObj.main.unshift({ code: 'gradeName', type: 'str', readonly: 'true', title: mixins.$t('standardVersion') })
        }
        this.setData({
            contentObj: contentObj
        })
    },

})